package com.zhongzheng.modules.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.base.bo.ProfileTpAddBo;
import com.zhongzheng.modules.base.bo.ProfileTpEditBo;
import com.zhongzheng.modules.base.bo.ProfileTpQueryBo;
import com.zhongzheng.modules.base.domain.ProfileTp;
import com.zhongzheng.modules.base.vo.ProfileTpVo;

import java.util.Collection;
import java.util.List;

/**
 * 资料模板Service接口
 *
 * @author hjl
 * @date 2021-11-19
 */
public interface IProfileTpService extends IService<ProfileTp> {
	/**
	 * 查询单个
	 * @return
	 */
	ProfileTpVo queryById(Long profileTpId);

	/**
	 * 查询列表
	 */
	List<ProfileTpVo> queryList(ProfileTpQueryBo bo);

	List<ProfileTpVo> selectList(ProfileTpQueryBo bo);

	List<String> selectAllUseGoods(ProfileTpQueryBo bo);

	/**
	 * 根据新增业务对象插入资料模板
	 * @param bo 资料模板新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ProfileTpAddBo bo);

	/**
	 * 根据编辑业务对象修改资料模板
	 * @param bo 资料模板编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ProfileTpEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	ProfileTpVo queryByGoodsId(Long goodsId);
}
